org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmKeyImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmKeyImpl

-     public class EdmKeyImpl
      extends Object

  Objects of this class represent a key for an entity type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmKeyImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<EdmAnnotationAttribute>` | `getAnnotationAttributes()`
    `List<EdmAnnotationElement>` | `getAnnotationElements()`
    `List<EdmProperty>` | `getKeys()`
    `EdmKeyImpl` | `setAnnotationAttributes(List<EdmAnnotationAttribute> annotationAttributes)` Sets the List of `AnnotationAttribute` for this `EdmKeyImpl`
    `EdmKeyImpl` | `setAnnotationElements(List<EdmAnnotationElement> annotationElements)` Sets the List of `AnnotationElement` for this `EdmKeyImpl`
    `EdmKeyImpl` | `setKeys(List<EdmProperty> keys)` Sets the `Property`s by their `PropertyRef` for this `EdmKeyImpl`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmKeyImpl

          public EdmKeyImpl()

  - ### Method Detail

    - #### getKeys

          public List<EdmProperty> getKeys()

      Returns:
        List<`PropertyRef`> references to the key properties

    - #### getAnnotationAttributes

          public List<EdmAnnotationAttribute> getAnnotationAttributes()

      Returns:
        List of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<EdmAnnotationElement> getAnnotationElements()

      Returns:
        List of `AnnotationElement` annotation elements

    - #### setKeys

          public EdmKeyImpl setKeys(List<EdmProperty> keys)

      Sets the `Property`s by their `PropertyRef` for this `EdmKeyImpl`
      Parameters:
        `keys` -
      Returns:
        `EdmKeyImpl` for method chaining

    - #### setAnnotationAttributes

          public EdmKeyImpl setAnnotationAttributes(List<EdmAnnotationAttribute> annotationAttributes)

      Sets the List of `AnnotationAttribute` for this `EdmKeyImpl`
      Parameters:
        `annotationAttributes` -
      Returns:
        `EdmKeyImpl` for method chaining

    - #### setAnnotationElements

          public EdmKeyImpl setAnnotationElements(List<EdmAnnotationElement> annotationElements)

      Sets the List of `AnnotationElement` for this `EdmKeyImpl`
      Parameters:
        `annotationElements` -
      Returns:
        `EdmKeyImpl` for method chaining

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.